> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Image

> Fetch Queued Request API fetches queued request.

<Note>
  **Note:** This endpoint does not generate new images; it only returns already generated or queued images.
</Note>

## Request

Send a `POST` request to below endpoint to return the corresponding queued Images.
Where `{id}` is the ID returned together with the URL in the response upon its generation. This endpoint does not generate new image, it returns already generated/queued image.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/interior/fetch/{id}' \
```

## Body

```json json theme={null}
{ 
    "key": ""
}
```


## OpenAPI

````yaml POST /interior/fetch/{id}
openapi: 3.0.0
info:
  title: ModelsLab Enterprise API
  version: 1.0.0
  description: OpenAPI spec generated from provided MDX files.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /interior/fetch/{id}:
    post:
      summary: 'Enterprise: Fetch Queued Request Endpoint'
      description: Fetch Queued Request API fetches queued request.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKey'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '401':
          description: Unauthorized - Invalid API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Your API key
      required:
        - key
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Operation completed successfully
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error message

````